
From: Pavel Machek <pavel@ucw.cz>

Marks threads as needed for suspend.


---

 25-akpm/drivers/scsi/aic7xxx/aic79xx_osm.c |    1 +
 25-akpm/drivers/scsi/aic7xxx/aic7xxx_osm.c |    1 +
 2 files changed, 2 insertions(+)

diff -puN drivers/scsi/aic7xxx/aic79xx_osm.c~aic7xxx-swsusp-support drivers/scsi/aic7xxx/aic79xx_osm.c
--- 25/drivers/scsi/aic7xxx/aic79xx_osm.c~aic7xxx-swsusp-support	2004-04-05 18:46:56.657476936 -0700
+++ 25-akpm/drivers/scsi/aic7xxx/aic79xx_osm.c	2004-04-05 18:46:56.666475568 -0700
@@ -2591,6 +2591,7 @@ ahd_linux_dv_thread(void *data)
 	sprintf(current->comm, "ahd_dv_%d", ahd->unit);
 #else
 	daemonize("ahd_dv_%d", ahd->unit);
+	current->flags |= PF_IOTHREAD;
 #endif
 	unlock_kernel();
 
diff -puN drivers/scsi/aic7xxx/aic7xxx_osm.c~aic7xxx-swsusp-support drivers/scsi/aic7xxx/aic7xxx_osm.c
--- 25/drivers/scsi/aic7xxx/aic7xxx_osm.c~aic7xxx-swsusp-support	2004-04-05 18:46:56.659476632 -0700
+++ 25-akpm/drivers/scsi/aic7xxx/aic7xxx_osm.c	2004-04-05 18:46:56.670474960 -0700
@@ -2305,6 +2305,7 @@ ahc_linux_dv_thread(void *data)
 	sprintf(current->comm, "ahc_dv_%d", ahc->unit);
 #else
 	daemonize("ahc_dv_%d", ahc->unit);
+	current->flags |= PF_IOTHREAD;
 #endif
 	unlock_kernel();
 

_
